// import "babel-polyfill"

import {Message, MessageBox} from 'element-ui'
import base from '../../src/assets/js/base.js'

export default {
  /*
   时间戳转时间
   */
  timeFn (value) {
    return new Date(parseInt(value)).toLocaleString()
  },
  timeFn2 (value) {
    // return new Date(parseInt(value)).toLocaleString().replace(/年|月/g, "-").replace(/日/g, " ")
    return new Date(parseInt(value)).toLocaleString().substr(13)
  },
  /*
   string 字符串;
   str 指定字符;
   split(),用于把一个字符串分割成字符串数组;
   split(str)[0],读取数组中索引为0的值（第一个值）,所有数组索引默认从0开始;
   */
  // 截取指定字符串之前的字符
  getBeforStr (string, str) {
    var str_before = string.split(str)[0]
    return str_before
  },
  // 截取指定字符串之后的字符
  getAfterStr (string, str) {
    var str_after = string.split(str)[1]
    return str_after
  },
  // 数组去重
  unique (arr) {
    for (var i = 0; i < arr.length - 1; i++) {
      for (var j = i + 1; j < arr.length; j++) {
        if (arr[i] == arr[j]) {
          arr.splice(j, 1)
          j--
        }
      }
    }
    return arr
  },
  // 使用对象的方法对数组去重
  unique2(arr){
    var json = {}
    var myArr = []
    for(var i in arr){
      if(!json[arr[i]]){
        json[arr[i]] = true
        myArr.push(arr[i])
      }
    }
    return myArr;
  },
  // 取出两个数组的相同元素
  getArrEqual(arr1, arr2) {
    let newArr = [];
    for (let i = 0; i < arr2.length; i++) {
      for (let j = 0; j < arr1.length; j++) {
        if(arr1[j] === arr2[i]){
          newArr.push(arr1[j]);
        }
      }
    }
    return newArr;
  },
  // 截取指定字数的字符串
  assignNum(str, len){
    if (str.length > len){
      return str.substr(0, len)+'...'
    }else{
      return str
    }
  },
  // 1 2 3转为a b c
  convert(num) {
    var saveLet = ["A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z"];
    var singleLet = "";
    var val = 0;

    while (num > 0) {
      val = (num-1) % 26
      singleLet = saveLet[val] + singleLet;
      num = Math.floor((num-1) / 26);
    }
    return singleLet;
  },
  // 将数组的每一项转为int类型
  intArr(arr){
    var myArr = []
    for(var i=0; i<arr.length; i++){
      myArr.push(parseInt(arr[i]))
    }
    return myArr
  },
  // 格式化时间  将时间戳转为时间时 需要将时间戳 new Date()后再调用该方法
  filtrationTimeCommon(myDate){
    // console.log(myDate)
    var Y = myDate.getFullYear() + '-',
      M = (myDate.getMonth()+1 < 10 ? '0'+(myDate.getMonth()+1) : myDate.getMonth()+1) + '-',
      D = myDate.getDate() + ' ',
      h = myDate.getHours() + ':',
      m = myDate.getMinutes() + ':',
      s = myDate.getSeconds(),
      timeStr = Y+M+D+h+m+s
    return timeStr
  },
  /*过滤掉字符串中的特殊字符*/
  stripscript(s) {
    //var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）——|{}【】‘；：”“'。，、？]")
    var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）——|{}【】‘；：”“']")
    var rs = "";
    for (var i = 0; i < s.length; i++) {
      rs = rs + s.substr(i, 1).replace(pattern, '');
    }
    //console.log(rs)
    return rs;
  },
  leftTrim(s){
    //去掉字符串左边所有的换行符
    console.log(s)
    if(s != '' && s != null && s != undefined){
      s = s.replace(/^\r\n*/g,"");
      s = s.replace(/^\n*/g,"");

      //去掉字符串左边所有的空格（中文空格、英文空格都会被替换）
      s = s.replace(/^\s*/g,"");
      return s;
    }
  },
  /*删除a数组所有与b数组相同的
  var a=[1,2,3,4,5,6,7,8]
 var b=[4,5,6,7,8,9,10]
 debugger
   arrChange(a,b)
 console.log(a) //[1, 2, 3]
 */
  arrChange( a, b ){
    var arr = a.concat()
    for (var i = 0; i < b.length; i++) {
      for (var j = 0; j < arr.length; j++) {
        if (arr[ j ] == b[ i ]) {//如果是id相同的，那么a[ j ].id == b[ i ].id
          arr.splice(j, 1);
          j = j - 1;
        }
      }
    }
    return arr;
  },
  // 判断接口图片地址有无http（是否包含前缀）
  judgeImgsrc(str){
    var loadImg = ''
    if(str.indexOf('http:') == -1){
      // 图片链接不包含http
      loadImg = base.ip + str;
    }else{
      loadImg = str
    }
    // console.log(loadImg)
    return loadImg;
  }
}

